<div class="relative min-h-96" x-data="{context: App.Workflow}">
  <!-- Top navigation buttons -->
  <button
    class="absolute top-0 left-0 px-4 m-0 text-xl text-gray-500/50 hover:text-gray-500"
    @click.prevent="
      pipeline = null; 
      pipeline_id = null;

      let params = new URLSearchParams(window.location.search);
      params.delete('id')
      window.location.search = params;
    "
  >
    <i class="fa-solid fa-chevron-left"></i>
    <span class="ml-1">Back</span>
  </button>
  <button
    x-cloak
    x-show="pipeline && !pipeline?.finished_at"
    x-data="{ loading: false }"
    class="absolute top-0 right-0 px-4 m-0 text-xl text-gray-500/50"
    :class="{ 
        'opacity-50': loading,
        'hover:text-gray-500': !loading,
    }"
    @click.prevent="
        loading = true;
        pipeline = pipeline?.id ? await context.Pipelines.cancel(pipeline?.id) : pipeline
        loading = false;
    "
  >
    <i class="fa-solid" 
        :class="{ 
            'fa-rotate fa-spin': loading,
            'fa-stop': !loading,
        }"></i>
    <span class="ml-1" x-text="loading ? 'Stopping...' : 'Stop pipeline'"></span>
  </button>

  <!-- Display user that started pipeline -->
  <div class="mt-8 flex flex-col items-center justify-items-center">
    <div class="flex space-x-2 items-center justify-items-center text-lg">
      <label class="font-thin">Started by</label>
      <div>{{ partial "workflow/details/user" . }}</div>
    </div>
  </div>

  <!-- Display the specified state for the pipeline -->  
  <template x-if="pipeline?.status == 'canceled'">{{ partial "jobs/status/canceled" . }}</template>
  <template x-if="pipeline?.status == 'created'">{{ partial "jobs/status/created" . }}</template>
  <template x-if="pipeline?.status == 'failed'">{{ partial "jobs/status/failed" . }}</template>
  <template x-if="pipeline?.status == 'manual'">{{ partial "jobs/status/manual" . }}</template>
  <template x-if="pipeline?.status == 'pending'">{{ partial "jobs/status/pending" . }}</template>
  <template x-if="pipeline?.status == 'preparing'">{{ partial "jobs/status/preparing" . }}</template>
  <template x-if="pipeline?.status == 'running'">{{ partial "jobs/status/running" . }}</template>
  <template x-if="pipeline?.status == 'scheduled'">{{ partial "jobs/status/scheduled" . }}</template>
  <template x-if="pipeline?.status == 'skipped'">{{ partial "jobs/status/skipped" . }}</template>
  <template x-if="pipeline?.status == 'success'">{{ partial "jobs/status/success" . }}</template>
  <template x-if="pipeline?.status == 'waiting_for_resource'">{{ partial "jobs/status/waiting_for_resource" . }}</template>
</div>
